[arch-commits] Commit in muine/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Nov 8 15:37:27 EST 2009


    Date: Sunday, November 8, 2009 @ 15:37:26
  Author: jgc
Revision: 58497

Merged revisions 58496 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/muine/trunk

........
  r58496 | jgc | 2009-11-08 21:37:10 +0100 (Sun, 08 Nov 2009) | 2 lines
  
  upgpkg: muine 0.8.11-1
      Update to 0.8.11
........

Modified:
  muine/repos/extra-i686/	(properties)
  muine/repos/extra-i686/PKGBUILD
Deleted:
  muine/repos/extra-i686/bgo560077.patch

-----------------+
 PKGBUILD        |   21 ++++++++------------
 bgo560077.patch |   56 ------------------------------------------------------
 2 files changed, 9 insertions(+), 68 deletions(-)


Property changes on: muine/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /muine/trunk:1-38640
   + /muine/trunk:1-58496

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-08 20:37:10 UTC (rev 58496)
+++ extra-i686/PKGBUILD	2009-11-08 20:37:26 UTC (rev 58497)
@@ -3,23 +3,21 @@
 # Contributor: Ben Mazer <blm at groknil.org>
 
 pkgname=muine
-pkgver=0.8.10
-pkgrel=4
+pkgver=0.8.11
+pkgrel=1
 pkgdesc="A music player written in C#"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.muine-player.org/"
-depends=('gnome-sharp>=2.24.1' 'gstreamer0.10-good-plugins' 'gstreamer0.10-base-plugins' 'desktop-file-utils' 'libgnomeui>=2.24.1' 'libid3tag' 'faad2>=2.7' 'ndesk-dbus-glib')
-makedepends=('intltool' 'pkgconfig' 'gnome-icon-theme')
+depends=('gconf>=2.28.0' 'gtk2>=2.18.3' 'gnome-icon-theme>=2.28.0' 'gstreamer0.10>=0.10.25' 'mono>=2.4.2.3' 'gnome-sharp>=2.24.1' 'taglib-sharp>=2.0.3.2' 'ndesk-dbus>=0.6.0' 'ndesk-dbus-glib>=0.4.1' 'gstreamer0.10-base-plugins>=0.10.25' 'gstreamer0.10-good-plugins>=0.10.16')
+makedepends=('intltool')
 optdepends=('gstreamer0.10-ugly-plugins: Extra media codecs'
             'gstreamer0.10-bad-plugins: Extra media codecs'
-	    'gstreamer0.10-ffmpeg: Extra media codecs')
+            'gstreamer0.10-ffmpeg: Extra media codecs')
 options=('!libtool' '!emptydirs' '!makeflags')
 install=muine.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.8/${pkgname}-${pkgver}.tar.bz2
-	bgo560077.patch)
-md5sums=('28e561388de1deebc6336f936bc74a73'
-	 '282873898d8ffce96c1b3dcb5c88c428')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.8/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('f2a74519d9e9c6c4fca9c5217a13964a')
 
 build() {
 
@@ -27,9 +25,8 @@
   mkdir -p "${MONO_SHARED_DIR}"
  
   cd "${srcdir}/${pkgname}-${pkgver}"
-  patch -Np1 -i "${srcdir}/bgo560077.patch" || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-              --disable-static --enable-gstreamer || return 1
+      --disable-static || return 1
   make || return 1
   make DESTDIR="${pkgdir}" GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 install || return 1
 
@@ -37,6 +34,6 @@
   install -m644 plugins/muine-tray-*.png "${pkgdir}/usr/lib/muine/plugins/" || return 1
 
   install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
-  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" --domain muine ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
   rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }

Deleted: extra-i686/bgo560077.patch
===================================================================
--- extra-i686/bgo560077.patch	2009-11-08 20:37:10 UTC (rev 58496)
+++ extra-i686/bgo560077.patch	2009-11-08 20:37:26 UTC (rev 58497)
@@ -1,56 +0,0 @@
-From ed0e81a673fbe09fa18622ff437c36075d33984d Mon Sep 17 00:00:00 2001
-From: Luis Medinas <lmedinas at gnome.org>
-Date: Mon, 10 Nov 2008 00:07:00 +0000
-Subject: Fix for bgo #560077 non-working buttons on Add Song/Album windows. Patch
-
-2008-11-09  Luis Medinas  <lmedinas at gnome.org>
-
-        * data/glade/AddWindow.glade:
-        * src/AddWindow.cs:
-
-        Fix for bgo #560077 non-working buttons on Add Song/Album
-windows.
-        Patch from Priit Laes <amd at store20.com>.
-
-
-
-svn path=/trunk/; revision=1236
----
-diff --git a/data/glade/AddWindow.glade b/data/glade/AddWindow.glade
-index 0e72749..4b3ef0e 100644
---- a/data/glade/AddWindow.glade
-+++ b/data/glade/AddWindow.glade
-@@ -19,8 +19,6 @@
-   <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
-   <property name="focus_on_map">True</property>
-   <property name="has_separator">False</property>
--  <signal name="response" handler="OnWindowResponse" last_modification_time="Tue, 04 Jan 2005 17:48:15 GMT"/>
--  <signal name="delete_event" handler="OnWindowDeleteEvent" last_modification_time="Tue, 04 Jan 2005 17:48:11 GMT"/>
- 
-   <child internal-child="vbox">
-     <widget class="GtkVBox" id="dialog-vbox1">
-diff --git a/src/AddWindow.cs b/src/AddWindow.cs
-index 0b602f6..eba501c 100644
---- a/src/AddWindow.cs
-+++ b/src/AddWindow.cs
-@@ -23,7 +23,7 @@ using System.Collections;
- 
- namespace Muine
- {
--	public abstract class AddWindow : Gtk.Window
-+	public abstract class AddWindow : Gtk.Dialog
- 	{
- #region Enums
- #region Enums.ResponseType
-@@ -116,6 +116,9 @@ namespace Muine
- 			this.entry_container.Add (this.entry);
- 
- 			// List
-+			this.Response               += OnWindowResponse;
-+			this.DeleteEvent            += OnWindowDeleteEvent;
-+
- 			this.list.RowActivated      += OnRowActivated;
- 			this.list.Selection.Changed += OnSelectionChanged;
- 			scrolledwindow.Add (this.list);
---
-cgit v0.8.2



More information about the arch-commits mailing list